Bug 171823 - Add a non-permanent template superimpose option
Summary: Add a non-permanent template superimpose option
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-PhotoLayoutEditor (show other bugs)
Version: unspecified
Platform: Slackware Packages Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-28 21:31 UTC by Michał Kosmulski
Modified: 2017-08-18 13:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Kosmulski 2008-09-28 21:31:23 UTC
Version:           0.9.4 (using KDE 3.5.9)
OS:                Linux
Installed from:    Slackware Packages

Template superimpose is a nice filter, but it permanently changes the image. If I want both the original and the modified version, I need two separate files.

It would be nice to be able to overlay a template or arbitrary graphics over an image, but only for displaying in the image editor/slide show. The merged file would not be stored on disk, instead only metadata saying "when displaying image A, superimpose image B" would be stored. A typical use would be the ability to circle some areas of the image to highlight some important but small or otherwise non-obvious element. In this scenario, one wants the circle (actually, this would normally be just a line manually doodled with the mouse and not a real circle) to be overlaid on the image but not saved in the image file, and to be able to quickly toggle the displaying of the superimposed image. For such functionality, a very basic drawing interface would be great (just the ability to select a few brush sizes and brush color and to draw simple lines with the mouse would be enough).
Comment 1 caulier.gilles 2012-01-16 08:29:43 UTC
Git commit d8af0907f293559290fb3329a5c0bfd3b54376f8 by Gilles Caulier.
Committed on 16/01/2012 at 09:20.
Pushed by cgilles into branch 'master'.

Remove SuperImpose tool from digiKam image editor. This one been pretty old and used yet Qt3 support class.
PhotoLayoutEditor tool from kipi-plugins must be used now instead. Template support using SVG file have been
added by Lukas during Coding Sprint 2012 at Genoa. It will be avaialble for next release 2.6.0.
CCMAIL: digikam-devel@kde.org
CCMAIL: lukasz.spas@gmail.com
Related: bug 103696, bug 117343, bug 103695

M  +0    -1    imageplugins/TODO
M  +0    -8    imageplugins/decorate/CMakeLists.txt
M  +4    -6    imageplugins/decorate/digikamimageplugin_decorate_ui.rc
M  +1    -16   imageplugins/decorate/imageplugin_decorate.cpp
M  +1    -1    imageplugins/decorate/imageplugin_decorate.h
D  +0    -195  imageplugins/decorate/superimpose/dirselectwidget.cpp
D  +0    -77   imageplugins/decorate/superimpose/dirselectwidget.h
D  +0    -73   imageplugins/decorate/superimpose/superimpose.cpp
D  +0    -72   imageplugins/decorate/superimpose/superimpose.h
D  +0    -317  imageplugins/decorate/superimpose/superimposetool.cpp
D  +0    -71   imageplugins/decorate/superimpose/superimposetool.h
D  +0    -390  imageplugins/decorate/superimpose/superimposewidget.cpp
D  +0    -119  imageplugins/decorate/superimpose/superimposewidget.h

http://commits.kde.org/digikam/d8af0907f293559290fb3329a5c0bfd3b54376f8